### Method

# Aravis Camera get_device

since: 0.2.0

#### Declaration [src]

    ArvDevice*
    arv_camera_get_device (
      ArvCamera* camera
    )

#### Description [src]

Retrieves the `ArvDevice` object for more complete access to camera features.

Available since: 0.2.0

Gets property | `Aravis.Camera:device`

#### Return value

Type: `ArvDevice`

Underlying device object.

The returned data is owned by the instance.